%global gem_name activeresource
Name:                rubygem-%{gem_name}
Epoch:               1
Version:             6.0.0
Release:             1
Summary:             REST modeling framework (part of Rails)
License:             MIT
URL:                 http://www.rubyonrails.org
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1:             %{gem_name}-%{version}-tests.tar.gz
BuildRequires:       ruby(release) rubygems-devel ruby rubygem(activemodel) >= 5.0
BuildRequires:       rubygem(activesupport) >= 5.0 rubygem(activemodel-serializers-xml)
BuildRequires:       rubygem(activejob) rubygem(mocha) rubygem(rexml)
BuildArch:           noarch
%description
REST on Rails. Wrap your RESTful web app with Ruby classes and work with them
like Active Record models.


%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{epoch}:%{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version} -b 1

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
# Move the tests into place
ln -s %{_builddir}/test test

# Bundler just complicates everything.
sed -i "/bundler/ s/^/#/" test/abstract_unit.rb

ruby -Ilib:test -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Aug 8 2022 liyanan <liyanan32@h-partners.cn> - 1:6.0.0-1
- update to 6.0.0

* Thu Mar 3 2022 liqiuyu <liqiuyu@kylinos.cn> - 1:5.1.1-1
- update to 5.1.1

* Fri Oct 8 2021 liwu <liwu13@huawei.com> - 5.0.0-2
- Fix CVE-2020-8151

* Wed Aug 12 2020 chengzihan <chengzihan2@huawei.com> - 5.0.0-1
- Package init
